<?xml version='1.0' encoding='utf-8'?>
<FilingSummary>
  <Version>3.23.2</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>391</ContextCount>
  <ElementCount>410</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>true</FootnotesReported>
  <SegmentCount>110</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>11</UnitCount>
  <MyReports>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>0000001 - Document - Cover Page</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CoverPage</Role>
      <ShortName>Cover Page</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>0000002 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS (Unaudited)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETSUnaudited</Role>
      <ShortName>CONDENSED CONSOLIDATED BALANCE SHEETS (Unaudited)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>0000003 - Statement - CONDENSED CONSOLIDATED BALANCE SHEETS (Unaudited) (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETSUnauditedParenthetical</Role>
      <ShortName>CONDENSED CONSOLIDATED BALANCE SHEETS (Unaudited) (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>0000004 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF INCOME (UNAUDITED)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFINCOMEUNAUDITED</Role>
      <ShortName>CONDENSED CONSOLIDATED STATEMENTS OF INCOME (UNAUDITED)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>0000005 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CASH FLOWS (UNAUDITED)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWSUNAUDITED</Role>
      <ShortName>CONDENSED CONSOLIDATED STATEMENTS OF CASH FLOWS (UNAUDITED)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>0000006 - Statement - CONDENSED CONSOLIDATED STATEMENTS OF CHANGES IN STOCKHOLDERS' EQUITY (UNAUDITED)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCHANGESINSTOCKHOLDERSEQUITYUNAUDITED</Role>
      <ShortName>CONDENSED CONSOLIDATED STATEMENTS OF CHANGES IN STOCKHOLDERS' EQUITY (UNAUDITED)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>0000007 - Disclosure - Background and Basis of Presentation</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/BackgroundandBasisofPresentation</Role>
      <ShortName>Background and Basis of Presentation</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>0000008 - Disclosure - Summary of Significant Accounting Policies</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SummaryofSignificantAccountingPolicies</Role>
      <ShortName>Summary of Significant Accounting Policies</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>0000009 - Disclosure - Acquisitions</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/Acquisitions</Role>
      <ShortName>Acquisitions</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>0000010 - Disclosure - Variable Interest Entity</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/VariableInterestEntity</Role>
      <ShortName>Variable Interest Entity</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>0000011 - Disclosure - Leases</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/Leases</Role>
      <ShortName>Leases</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>0000012 - Disclosure - Inventory</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/Inventory</Role>
      <ShortName>Inventory</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>0000013 - Disclosure - Property, Plant &amp; Equipment</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/PropertyPlantEquipment</Role>
      <ShortName>Property, Plant &amp; Equipment</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>0000014 - Disclosure - Intangibles</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/Intangibles</Role>
      <ShortName>Intangibles</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>0000015 - Disclosure - Goodwill</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/Goodwill</Role>
      <ShortName>Goodwill</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>0000016 - Disclosure - Accrued Liabilities</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AccruedLiabilities</Role>
      <ShortName>Accrued Liabilities</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>0000017 - Disclosure - Long Term Debt</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebt</Role>
      <ShortName>Long Term Debt</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>0000018 - Disclosure - Notes Payable, Related Parties</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.liveventures.com/role/NotesPayableRelatedParties</Role>
      <ShortName>Notes Payable, Related Parties</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>0000019 - Disclosure - Stockholders' Equity</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/StockholdersEquity</Role>
      <ShortName>Stockholders' Equity</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>19</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>0000020 - Disclosure - Stock-Based Compensation</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/StockBasedCompensation</Role>
      <ShortName>Stock-Based Compensation</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>20</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>0000021 - Disclosure - Earnings Per Share</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/EarningsPerShare</Role>
      <ShortName>Earnings Per Share</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>21</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>0000022 - Disclosure - Related Party Transactions</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/RelatedPartyTransactions</Role>
      <ShortName>Related Party Transactions</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>22</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>0000023 - Disclosure - Commitments and Contingencies</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CommitmentsandContingencies</Role>
      <ShortName>Commitments and Contingencies</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>23</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>0000024 - Disclosure - Segment Reporting</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SegmentReporting</Role>
      <ShortName>Segment Reporting</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>24</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>0000025 - Disclosure - Subsequent Events</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SubsequentEvents</Role>
      <ShortName>Subsequent Events</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>25</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>9954701 - Disclosure - Summary of Significant Accounting Policies (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SummaryofSignificantAccountingPoliciesPolicies</Role>
      <ShortName>Summary of Significant Accounting Policies (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/SummaryofSignificantAccountingPolicies</ParentRole>
      <Position>26</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>9954702 - Disclosure - Acquisitions (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AcquisitionsTables</Role>
      <ShortName>Acquisitions (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/Acquisitions</ParentRole>
      <Position>27</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>9954703 - Disclosure - Variable Interest Entity (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/VariableInterestEntityTables</Role>
      <ShortName>Variable Interest Entity (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/VariableInterestEntity</ParentRole>
      <Position>28</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>9954704 - Disclosure - Leases (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LeasesTables</Role>
      <ShortName>Leases (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/Leases</ParentRole>
      <Position>29</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>9954705 - Disclosure - Inventory (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/InventoryTables</Role>
      <ShortName>Inventory (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/Inventory</ParentRole>
      <Position>30</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>9954706 - Disclosure - Property, Plant &amp; Equipment (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/PropertyPlantEquipmentTables</Role>
      <ShortName>Property, Plant &amp; Equipment (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/PropertyPlantEquipment</ParentRole>
      <Position>31</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>9954707 - Disclosure - Intangibles (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/IntangiblesTables</Role>
      <ShortName>Intangibles (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/Intangibles</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>9954708 - Disclosure - Goodwill - (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/GoodwillTables</Role>
      <ShortName>Goodwill - (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/Goodwill</ParentRole>
      <Position>33</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>9954709 - Disclosure - Accrued Liabilities (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AccruedLiabilitiesTables</Role>
      <ShortName>Accrued Liabilities (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/AccruedLiabilities</ParentRole>
      <Position>34</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>9954710 - Disclosure - Long Term Debt (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtTables</Role>
      <ShortName>Long Term Debt (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/LongTermDebt</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>9954711 - Disclosure - Notes Payable, Related Parties (Tables)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.liveventures.com/role/NotesPayableRelatedPartiesTables</Role>
      <ShortName>Notes Payable, Related Parties (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/NotesPayableRelatedParties</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>9954712 - Disclosure - Stock-Based Compensation (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/StockBasedCompensationTables</Role>
      <ShortName>Stock-Based Compensation (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/StockBasedCompensation</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>9954713 - Disclosure - Earnings Per Share (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/EarningsPerShareTables</Role>
      <ShortName>Earnings Per Share (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/EarningsPerShare</ParentRole>
      <Position>38</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>9954714 - Disclosure - Segment Reporting (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SegmentReportingTables</Role>
      <ShortName>Segment Reporting (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/SegmentReporting</ParentRole>
      <Position>39</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>9954715 - Disclosure - Background and Basis of Presentation - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/BackgroundandBasisofPresentationAdditionalInformationDetails</Role>
      <ShortName>Background and Basis of Presentation - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>40</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>9954716 - Disclosure - Acquisitions (Additional Information) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AcquisitionsAdditionalInformationDetails</Role>
      <ShortName>Acquisitions (Additional Information) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/AcquisitionsTables</ParentRole>
      <Position>41</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>9954717 - Disclosure - Acquisitions - Summary of Purchase Price Allocation of the Purchase for Flooring Liquidators to the Acquired Identifiable Assets, Liabilities assumed and Goodwill (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AcquisitionsSummaryofPurchasePriceAllocationofthePurchaseforFlooringLiquidatorstotheAcquiredIdentifiableAssetsLiabilitiesassumedandGoodwillDetails</Role>
      <ShortName>Acquisitions - Summary of Purchase Price Allocation of the Purchase for Flooring Liquidators to the Acquired Identifiable Assets, Liabilities assumed and Goodwill (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>42</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>9954718 - Disclosure - Acquisitions - Summary of Proforma Information for the Company (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AcquisitionsSummaryofProformaInformationfortheCompanyDetails</Role>
      <ShortName>Acquisitions - Summary of Proforma Information for the Company (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>43</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>9954719 - Disclosure - Acquisitions - Purchase Price Allocation for the Company Cal Coast (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AcquisitionsPurchasePriceAllocationfortheCompanyCalCoastDetails</Role>
      <ShortName>Acquisitions - Purchase Price Allocation for the Company Cal Coast (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>44</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>9954720 - Disclosure - Acquisitions - Summary of Purchase Price Allocation of Purchase of Acquired Identifiable Assets, Liabilities Assumed and Goodwill, Kinetic (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AcquisitionsSummaryofPurchasePriceAllocationofPurchaseofAcquiredIdentifiableAssetsLiabilitiesAssumedandGoodwillKineticDetails</Role>
      <ShortName>Acquisitions - Summary of Purchase Price Allocation of Purchase of Acquired Identifiable Assets, Liabilities Assumed and Goodwill, Kinetic (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>45</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>9954721 - Disclosure - Acquisitions - Summary of Purchase Price Allocation of Better Backers to Acquired Identifiable Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AcquisitionsSummaryofPurchasePriceAllocationofBetterBackerstoAcquiredIdentifiableAssetsDetails</Role>
      <ShortName>Acquisitions - Summary of Purchase Price Allocation of Better Backers to Acquired Identifiable Assets (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>46</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>9954722 - Disclosure - Variable Interest Entity - Narrative (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/VariableInterestEntityNarrativeDetails</Role>
      <ShortName>Variable Interest Entity - Narrative (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>47</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>9954723 - Disclosure - Variable Interest Entity - Schedule of Assets and Liabilities of Deconsolidated Entity (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/VariableInterestEntityScheduleofAssetsandLiabilitiesofDeconsolidatedEntityDetails</Role>
      <ShortName>Variable Interest Entity - Schedule of Assets and Liabilities of Deconsolidated Entity (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>48</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>9954724 - Disclosure - Leases - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LeasesAdditionalInformationDetails</Role>
      <ShortName>Leases - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>49</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>9954725 - Disclosure - Leases - Schedule of Right of Use Assets and Lease Liabilities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LeasesScheduleofRightofUseAssetsandLeaseLiabilitiesDetails</Role>
      <ShortName>Leases - Schedule of Right of Use Assets and Lease Liabilities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>50</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>9954726 - Disclosure - Leases - Schedule of Property, Plant and Equipment (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LeasesScheduleofPropertyPlantandEquipmentDetails</Role>
      <ShortName>Leases - Schedule of Property, Plant and Equipment (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>51</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>9954727 - Disclosure - Leases - Schedule of Present Value of Operating Lease Payments (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LeasesScheduleofPresentValueofOperatingLeasePaymentsDetails</Role>
      <ShortName>Leases - Schedule of Present Value of Operating Lease Payments (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>52</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>9954728 - Disclosure - Leases - Present Value of Future Lease Payments of Finance Leases (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LeasesPresentValueofFutureLeasePaymentsofFinanceLeasesDetails</Role>
      <ShortName>Leases - Present Value of Future Lease Payments of Finance Leases (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>53</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>9954729 - Disclosure - Inventory - Schedule of Inventory (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/InventoryScheduleofInventoryDetails</Role>
      <ShortName>Inventory - Schedule of Inventory (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>54</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>9954730 - Disclosure - Property, Plant &amp; Equipment - Summary of Property and Equipment (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/PropertyPlantEquipmentSummaryofPropertyandEquipmentDetails</Role>
      <ShortName>Property, Plant &amp; Equipment - Summary of Property and Equipment (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>55</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>9954731 - Disclosure - Property, Plant &amp; Equipment (Additional Information) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/PropertyPlantEquipmentAdditionalInformationDetails</Role>
      <ShortName>Property, Plant &amp; Equipment (Additional Information) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/PropertyPlantEquipmentTables</ParentRole>
      <Position>56</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>9954732 - Disclosure - Intangibles - Schedule of Intangible Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/IntangiblesScheduleofIntangibleAssetsDetails</Role>
      <ShortName>Intangibles - Schedule of Intangible Assets (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>57</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>9954733 - Disclosure - Intangibles - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/IntangiblesAdditionalInformationDetails</Role>
      <ShortName>Intangibles - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>58</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>9954734 - Disclosure - Intangibles - Schedule of Future Amortization Expense Related to Intangible Assets (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/IntangiblesScheduleofFutureAmortizationExpenseRelatedtoIntangibleAssetsDetails</Role>
      <ShortName>Intangibles - Schedule of Future Amortization Expense Related to Intangible Assets (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>59</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>9954735 - Disclosure - Goodwill - Summary of Company's goodwill (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/GoodwillSummaryofCompanysgoodwillDetails</Role>
      <ShortName>Goodwill - Summary of Company's goodwill (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>60</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R61.htm</HtmlFileName>
      <LongName>9954736 - Disclosure - Accrued Liabilities - Schedule of Accrued Liabilities (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/AccruedLiabilitiesScheduleofAccruedLiabilitiesDetails</Role>
      <ShortName>Accrued Liabilities - Schedule of Accrued Liabilities (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>61</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R62.htm</HtmlFileName>
      <LongName>9954737 - Disclosure - Long Term Debt - Schedule of Long-term Debt (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtScheduleofLongtermDebtDetails</Role>
      <ShortName>Long Term Debt - Schedule of Long-term Debt (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>62</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R63.htm</HtmlFileName>
      <LongName>9954738 - Disclosure - Long Term Debt - Schedule of Future Maturities of Long-term Debt (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtScheduleofFutureMaturitiesofLongtermDebtDetails</Role>
      <ShortName>Long Term Debt - Schedule of Future Maturities of Long-term Debt (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>63</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R64.htm</HtmlFileName>
      <LongName>9954739 - Disclosure - Long-Term Debt - Eclipse Business Capital Loans (Additional Information) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtEclipseBusinessCapitalLoansAdditionalInformationDetails</Role>
      <ShortName>Long-Term Debt - Eclipse Business Capital Loans (Additional Information) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>64</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R65.htm</HtmlFileName>
      <LongName>9954740 - Disclosure - Long Term Debt - Bank of America Revolver Loan - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtBankofAmericaRevolverLoanAdditionalInformationDetails</Role>
      <ShortName>Long Term Debt - Bank of America Revolver Loan - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>65</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R66.htm</HtmlFileName>
      <LongName>9954741 - Disclosure - Long Term Debt - Loan with Fifth Third Bank (Additional Information) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtLoanwithFifthThirdBankAdditionalInformationDetails</Role>
      <ShortName>Long Term Debt - Loan with Fifth Third Bank (Additional Information) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>66</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R67.htm</HtmlFileName>
      <LongName>9954742 - Disclosure - Long Term Debt - Texas Capital Bank Revolver Loan - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtTexasCapitalBankRevolverLoanAdditionalInformationDetails</Role>
      <ShortName>Long Term Debt - Texas Capital Bank Revolver Loan - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>67</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R68.htm</HtmlFileName>
      <LongName>9954743 - Disclosure - Long Term Debt - Equipment Loans (Additional Information) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/LongTermDebtEquipmentLoansAdditionalInformationDetails</Role>
      <ShortName>Long Term Debt - Equipment Loans (Additional Information) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>68</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R69.htm</HtmlFileName>
      <LongName>9954744 - Disclosure - Notes Payable, Related Parties - Schedule of Long-term Related Parties (Details)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.liveventures.com/role/NotesPayableRelatedPartiesScheduleofLongtermRelatedPartiesDetails</Role>
      <ShortName>Notes Payable, Related Parties - Schedule of Long-term Related Parties (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>69</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R70.htm</HtmlFileName>
      <LongName>9954745 - Disclosure - Notes Payable, Related Parties - Schedule of Future Maturities of Notes (Details)</LongName>
      <ReportType>Notes</ReportType>
      <Role>http://www.liveventures.com/role/NotesPayableRelatedPartiesScheduleofFutureMaturitiesofNotesDetails</Role>
      <ShortName>Notes Payable, Related Parties - Schedule of Future Maturities of Notes (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>70</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R71.htm</HtmlFileName>
      <LongName>9954746 - Disclosure - Stockholders' Equity - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/StockholdersEquityAdditionalInformationDetails</Role>
      <ShortName>Stockholders' Equity - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>71</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R72.htm</HtmlFileName>
      <LongName>9954747 - Disclosure - Stock-Based Compensation - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/StockBasedCompensationAdditionalInformationDetails</Role>
      <ShortName>Stock-Based Compensation - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>72</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R73.htm</HtmlFileName>
      <LongName>9954748 - Disclosure - Stock-Based Compensation - Summary of Stock Option Activity (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/StockBasedCompensationSummaryofStockOptionActivityDetails</Role>
      <ShortName>Stock-Based Compensation - Summary of Stock Option Activity (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>73</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R74.htm</HtmlFileName>
      <LongName>9954749 - Disclosure - Stock-Based Compensation - Schedule of weighted average fair value ("WAFV") of unvested restricted stock awards (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/StockBasedCompensationScheduleofweightedaveragefairvalueWAFVofunvestedrestrictedstockawardsDetails</Role>
      <ShortName>Stock-Based Compensation - Schedule of weighted average fair value ("WAFV") of unvested restricted stock awards (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>74</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R75.htm</HtmlFileName>
      <LongName>9954750 - Disclosure - Earnings Per Share - Computation of Basic and Diluted Net Earnings Per Share (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/EarningsPerShareComputationofBasicandDilutedNetEarningsPerShareDetails</Role>
      <ShortName>Earnings Per Share - Computation of Basic and Diluted Net Earnings Per Share (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>75</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R76.htm</HtmlFileName>
      <LongName>9954751 - Disclosure - Earnings Per Share - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/EarningsPerShareAdditionalInformationDetails</Role>
      <ShortName>Earnings Per Share - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>76</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R77.htm</HtmlFileName>
      <LongName>9954752 - Disclosure - Related Party Transactions - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/RelatedPartyTransactionsAdditionalInformationDetails</Role>
      <ShortName>Related Party Transactions - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>77</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R78.htm</HtmlFileName>
      <LongName>9954753 - Disclosure - Commitments and Contingencies (Additional Information) (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/CommitmentsandContingenciesAdditionalInformationDetails</Role>
      <ShortName>Commitments and Contingencies (Additional Information) (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/CommitmentsandContingencies</ParentRole>
      <Position>78</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R79.htm</HtmlFileName>
      <LongName>9954754 - Disclosure - Segment Reporting - Additional Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SegmentReportingAdditionalInformationDetails</Role>
      <ShortName>Segment Reporting - Additional Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>79</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R80.htm</HtmlFileName>
      <LongName>9954755 - Disclosure - Segment Reporting - Summary of Segment Information (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SegmentReportingSummaryofSegmentInformationDetails</Role>
      <ShortName>Segment Reporting - Summary of Segment Information (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <Position>80</Position>
    </Report>
    <Report instance="live-20230630.htm">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R81.htm</HtmlFileName>
      <LongName>9954756 - Disclosure - Subsequent Events (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.liveventures.com/role/SubsequentEventsDetails</Role>
      <ShortName>Subsequent Events (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.liveventures.com/role/SubsequentEvents</ParentRole>
      <Position>81</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File doctype="10-Q" original="live-20230630.htm">live-20230630.htm</File>
    <File>live-20230630.xsd</File>
    <File>live-20230630_cal.xml</File>
    <File>live-20230630_def.xml</File>
    <File>live-20230630_lab.xml</File>
    <File>live-20230630_pre.xml</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies>
    <BaseTaxonomy items="1218">http://fasb.org/us-gaap/2023</BaseTaxonomy>
    <BaseTaxonomy items="30">http://xbrl.sec.gov/dei/2023</BaseTaxonomy>
  </BaseTaxonomies>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
